package com.brilliance.isc.common.api.dftcre.service;

import com.brilliance.isc.common.api.dftcre.vo.DftcreQueryVo;
import com.brilliance.isc.common.api.dftcre.vo.DftcreRequest;
import com.brilliance.isc.common.api.dftcre.vo.DftcreResponse;
import com.brilliance.isc.vo.model.DfdgrpVo;

import java.util.HashMap;

public interface DftcreApiService {

    DftcreResponse assertDftcre(DftcreRequest request);

    String getDfuflg(DfdgrpVo dfdgrp);

    String getEcifName(DftcreQueryVo vo);

    HashMap<String,String> getEcifCnAndEnName(DftcreQueryVo vo);

}
